org.omg.CORBA.portable

## Class RemarshalException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.omg.CORBA.portable.RemarshalException

All Implemented Interfaces:
  Serializable

    public final class RemarshalException
    extends Exception

This class is used for reporting locate forward exceptions and object forward GIOP messages back to the ORB. In this case the ORB must remarshal the request before trying again. Stubs which use the stream-based model shall catch the `RemarshalException` which is potentially thrown from the `_invoke()` method of `ObjectImpl`. Upon catching the exception, the stub shall immediately remarshal the request by calling `_request()`, marshalling the arguments (if any), and then calling `_invoke()`. The stub shall repeat this process until `_invoke()` returns normally or raises some exception other than `RemarshalException`.

### Constructor Summary

Constructors
Constructor and Description
`RemarshalException()` Constructs a RemarshalException.

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RemarshalException

    public RemarshalException()

Constructs a RemarshalException.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.